{
    "$graph": [
        {
            "label": "bacterial_hit_mapping",
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "ResourceRequirement",
                    "ramMax": 4000
                },
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entryname": "aligns.mft",
                            "entry": "${var blob = '# aligns.mft created for bacterial_hit_mapping from input hmm_hits Array of Files\\n'; for (var i = 0; i < inputs.hmm_hits.length; i++) { blob += inputs.hmm_hits[i].path + '\\n'; } return blob; }"
                        }
                    ]
                }
            ],
            "baseCommand": "bacterial_hit_mapping",
            "inputs": [
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "-align-fmt"
                    },
                    "id": "#bacterial_hit_mapping.cwl/align_fmt"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "Directory"
                    },
                    "inputBinding": {
                        "prefix": "-asn-cache",
                        "itemSeparator": ","
                    },
                    "id": "#bacterial_hit_mapping.cwl/asn_cache"
                },
                {
                    "type": "float",
                    "inputBinding": {
                        "prefix": "-expansion-ratio"
                    },
                    "id": "#bacterial_hit_mapping.cwl/expansion_ratio"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "id": "#bacterial_hit_mapping.cwl/hmm_hits"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "aligns.mft",
                    "inputBinding": {
                        "prefix": "-aligns-manifest"
                    },
                    "id": "#bacterial_hit_mapping.cwl/hmm_hits_mft"
                },
                {
                    "type": "boolean",
                    "inputBinding": {
                        "prefix": "-no-compart"
                    },
                    "id": "#bacterial_hit_mapping.cwl/no_compart"
                },
                {
                    "type": "boolean",
                    "inputBinding": {
                        "prefix": "-nogenbank"
                    },
                    "id": "#bacterial_hit_mapping.cwl/nogenbank"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "-o"
                    },
                    "id": "#bacterial_hit_mapping.cwl/outfile"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#bacterial_hit_mapping.cwl/proteins"
                },
                {
                    "type": [
                        "null",
                        "Directory"
                    ],
                    "id": "#bacterial_hit_mapping.cwl/seq_cache"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-sequences"
                    },
                    "id": "#bacterial_hit_mapping.cwl/sequences"
                },
                {
                    "type": [
                        "null",
                        "Directory"
                    ],
                    "id": "#bacterial_hit_mapping.cwl/unicoll_cache"
                }
            ],
            "id": "#bacterial_hit_mapping.cwl",
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.outfile)"
                    },
                    "id": "#bacterial_hit_mapping.cwl/aligns"
                }
            ]
        },
        {
            "label": "Bacterial Annotation, pass 2, blastp-based functional annotation (first pass)",
            "class": "Workflow",
            "requirements": [
                {
                    "class": "SubworkflowFeatureRequirement"
                },
                {
                    "class": "MultipleInputFeatureRequirement"
                }
            ],
            "inputs": [
                {
                    "label": "Get ORFs/outseq",
                    "type": "File",
                    "id": "#main/annotation"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#main/blast_hits_cache"
                },
                {
                    "label": "parameter to store the literal 'blast_rules_db'",
                    "type": "string",
                    "default": "blast_rules_db",
                    "id": "#main/blast_rules_db"
                },
                {
                    "label": "Input blastdb databases",
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/blastdb"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "int"
                    },
                    "id": "#main/genus_list"
                },
                {
                    "label": "Create identification BLASTdb",
                    "type": "Directory",
                    "id": "#main/identification_db_dir"
                },
                {
                    "label": "Extract ORF Proteins/lds2",
                    "type": "File",
                    "id": "#main/lds2"
                },
                {
                    "label": "Prepare_Unannotated_Sequences/plasmids",
                    "type": "File",
                    "id": "#main/plasmids"
                },
                {
                    "label": "Extract ORF Proteins/prot_ids",
                    "type": "File",
                    "id": "#main/prot_ids_A"
                },
                {
                    "label": "Get off-frame ORFs/prot_ids",
                    "type": "File",
                    "id": "#main/prot_ids_B1"
                },
                {
                    "label": "AntiFam tainted proteins I/oseqids",
                    "type": "File",
                    "id": "#main/prot_ids_B2"
                },
                {
                    "label": "Extract ORF Proteins/proteins",
                    "type": "File",
                    "id": "#main/proteins"
                },
                {
                    "label": "Prepare_Unannotated_Sequences/sequences",
                    "type": "File",
                    "id": "#main/raw_seqs"
                },
                {
                    "type": "string",
                    "id": "#main/scatter_gather_nchunks"
                },
                {
                    "type": "Directory",
                    "id": "#main/sequence_cache"
                },
                {
                    "type": "int",
                    "id": "#main/taxid"
                },
                {
                    "type": "File",
                    "id": "#main/taxon_db"
                },
                {
                    "type": "Directory",
                    "id": "#main/unicoll_cache"
                }
            ],
            "outputs": [
                {
                    "label": "goes to protein_alignment/Seed Search Compartments/compartments",
                    "type": "File",
                    "outputSource": "#main/Map_Naming_Hits/aligns",
                    "id": "#main/aligns"
                }
            ],
            "steps": [
                {
                    "label": "Find Naming Protein Hits for struct",
                    "run": "#tt_blastp_wnode_naming.cwl",
                    "in": [
                        {
                            "default": "subject",
                            "id": "#main/Find_Naming_Protein_Hits_for_struct/affinity"
                        },
                        {
                            "default": "score>0 && pct_identity_gapopen_only > 35",
                            "id": "#main/Find_Naming_Protein_Hits_for_struct/align_filter"
                        },
                        {
                            "default": false,
                            "id": "#main/Find_Naming_Protein_Hits_for_struct/allow_intersection"
                        },
                        {
                            "source": [
                                "#main/sequence_cache",
                                "#main/unicoll_cache"
                            ],
                            "id": "#main/Find_Naming_Protein_Hits_for_struct/asn_cache"
                        },
                        {
                            "source": "#main/blast_hits_cache",
                            "id": "#main/Find_Naming_Protein_Hits_for_struct/blast_hits_cache"
                        },
                        {
                            "default": "orf",
                            "id": "#main/Find_Naming_Protein_Hits_for_struct/blast_type"
                        },
                        {
                            "source": [
                                "#main/blastdb",
                                "#main/blast_rules_db"
                            ],
                            "linkMerge": "merge_flattened",
                            "id": "#main/Find_Naming_Protein_Hits_for_struct/blastdb"
                        },
                        {
                            "source": "#main/identification_db_dir",
                            "id": "#main/Find_Naming_Protein_Hits_for_struct/blastdb_dir"
                        },
                        {
                            "default": "F",
                            "id": "#main/Find_Naming_Protein_Hits_for_struct/comp_based_stats"
                        },
                        {
                            "default": false,
                            "id": "#main/Find_Naming_Protein_Hits_for_struct/compart"
                        },
                        {
                            "default": "6000000000",
                            "id": "#main/Find_Naming_Protein_Hits_for_struct/dbsize"
                        },
                        {
                            "default": 0.1,
                            "id": "#main/Find_Naming_Protein_Hits_for_struct/evalue"
                        },
                        {
                            "default": 20,
                            "id": "#main/Find_Naming_Protein_Hits_for_struct/extra_coverage"
                        },
                        {
                            "source": "#main/genus_list",
                            "id": "#main/Find_Naming_Protein_Hits_for_struct/genus_list"
                        },
                        {
                            "source": [
                                "#main/Separate_Plasmid_ORFs/chomosome_orfs"
                            ],
                            "linkMerge": "merge_flattened",
                            "id": "#main/Find_Naming_Protein_Hits_for_struct/ids"
                        },
                        {
                            "source": "#main/lds2",
                            "id": "#main/Find_Naming_Protein_Hits_for_struct/lds2"
                        },
                        {
                            "default": 10000,
                            "id": "#main/Find_Naming_Protein_Hits_for_struct/max_batch_length"
                        },
                        {
                            "default": 1,
                            "id": "#main/Find_Naming_Protein_Hits_for_struct/max_jobs"
                        },
                        {
                            "default": 50,
                            "id": "#main/Find_Naming_Protein_Hits_for_struct/max_target_seqs"
                        },
                        {
                            "default": true,
                            "id": "#main/Find_Naming_Protein_Hits_for_struct/no_merge"
                        },
                        {
                            "default": true,
                            "id": "#main/Find_Naming_Protein_Hits_for_struct/nogenbank"
                        },
                        {
                            "default": "asn-binary",
                            "id": "#main/Find_Naming_Protein_Hits_for_struct/ofmt"
                        },
                        {
                            "source": "#main/proteins",
                            "id": "#main/Find_Naming_Protein_Hits_for_struct/proteins"
                        },
                        {
                            "source": "#main/scatter_gather_nchunks",
                            "id": "#main/Find_Naming_Protein_Hits_for_struct/scatter_gather_nchunks"
                        },
                        {
                            "default": "30 2.2 2.5",
                            "id": "#main/Find_Naming_Protein_Hits_for_struct/seg"
                        },
                        {
                            "default": "yes",
                            "id": "#main/Find_Naming_Protein_Hits_for_struct/soft_masking"
                        },
                        {
                            "source": "#main/taxid",
                            "id": "#main/Find_Naming_Protein_Hits_for_struct/taxid"
                        },
                        {
                            "source": "#main/taxon_db",
                            "id": "#main/Find_Naming_Protein_Hits_for_struct/taxon_db"
                        },
                        {
                            "default": 21,
                            "id": "#main/Find_Naming_Protein_Hits_for_struct/threshold"
                        },
                        {
                            "default": 10,
                            "id": "#main/Find_Naming_Protein_Hits_for_struct/top_by_score"
                        },
                        {
                            "default": 6,
                            "id": "#main/Find_Naming_Protein_Hits_for_struct/word_size"
                        }
                    ],
                    "out": [
                        "#main/Find_Naming_Protein_Hits_for_struct/blast_align"
                    ],
                    "id": "#main/Find_Naming_Protein_Hits_for_struct"
                },
                {
                    "label": "Find Struct Protein Hits for Plasmids",
                    "run": "#tt_blastp_wnode_struct.cwl",
                    "in": [
                        {
                            "default": "subject",
                            "id": "#main/Find_Struct_Protein_Hits_for_Plasmids/affinity"
                        },
                        {
                            "default": "score>0 && pct_identity_gapopen_only > 35",
                            "id": "#main/Find_Struct_Protein_Hits_for_Plasmids/align_filter"
                        },
                        {
                            "default": false,
                            "id": "#main/Find_Struct_Protein_Hits_for_Plasmids/allow_intersection"
                        },
                        {
                            "source": [
                                "#main/sequence_cache",
                                "#main/unicoll_cache"
                            ],
                            "id": "#main/Find_Struct_Protein_Hits_for_Plasmids/asn_cache"
                        },
                        {
                            "source": "#main/blast_hits_cache",
                            "id": "#main/Find_Struct_Protein_Hits_for_Plasmids/blast_hits_cache"
                        },
                        {
                            "default": "orf",
                            "id": "#main/Find_Struct_Protein_Hits_for_Plasmids/blast_type"
                        },
                        {
                            "default": [
                                "blastdb",
                                "blast_rules_db"
                            ],
                            "id": "#main/Find_Struct_Protein_Hits_for_Plasmids/blastdb"
                        },
                        {
                            "source": "#main/identification_db_dir",
                            "id": "#main/Find_Struct_Protein_Hits_for_Plasmids/blastdb_dir"
                        },
                        {
                            "default": "F",
                            "id": "#main/Find_Struct_Protein_Hits_for_Plasmids/comp_based_stats"
                        },
                        {
                            "default": false,
                            "id": "#main/Find_Struct_Protein_Hits_for_Plasmids/compart"
                        },
                        {
                            "default": "6000000000",
                            "id": "#main/Find_Struct_Protein_Hits_for_Plasmids/dbsize"
                        },
                        {
                            "default": 0.1,
                            "id": "#main/Find_Struct_Protein_Hits_for_Plasmids/evalue"
                        },
                        {
                            "default": 29,
                            "id": "#main/Find_Struct_Protein_Hits_for_Plasmids/extra_coverage"
                        },
                        {
                            "source": "#main/genus_list",
                            "id": "#main/Find_Struct_Protein_Hits_for_Plasmids/genus_list"
                        },
                        {
                            "source": [
                                "#main/Separate_Plasmid_ORFs/plasmid_orfs"
                            ],
                            "linkMerge": "merge_flattened",
                            "id": "#main/Find_Struct_Protein_Hits_for_Plasmids/ids"
                        },
                        {
                            "source": "#main/lds2",
                            "id": "#main/Find_Struct_Protein_Hits_for_Plasmids/lds2"
                        },
                        {
                            "default": 10000,
                            "id": "#main/Find_Struct_Protein_Hits_for_Plasmids/max_batch_length"
                        },
                        {
                            "default": 1,
                            "id": "#main/Find_Struct_Protein_Hits_for_Plasmids/max_jobs"
                        },
                        {
                            "default": 50,
                            "id": "#main/Find_Struct_Protein_Hits_for_Plasmids/max_target_seqs"
                        },
                        {
                            "default": true,
                            "id": "#main/Find_Struct_Protein_Hits_for_Plasmids/no_merge"
                        },
                        {
                            "default": true,
                            "id": "#main/Find_Struct_Protein_Hits_for_Plasmids/nogenbank"
                        },
                        {
                            "default": "asn-binary",
                            "id": "#main/Find_Struct_Protein_Hits_for_Plasmids/ofmt"
                        },
                        {
                            "source": "#main/proteins",
                            "id": "#main/Find_Struct_Protein_Hits_for_Plasmids/proteins"
                        },
                        {
                            "source": "#main/scatter_gather_nchunks",
                            "id": "#main/Find_Struct_Protein_Hits_for_Plasmids/scatter_gather_nchunks"
                        },
                        {
                            "default": "30 2.2 2.5",
                            "id": "#main/Find_Struct_Protein_Hits_for_Plasmids/seg"
                        },
                        {
                            "default": "yes",
                            "id": "#main/Find_Struct_Protein_Hits_for_Plasmids/soft_masking"
                        },
                        {
                            "source": "#main/taxid",
                            "id": "#main/Find_Struct_Protein_Hits_for_Plasmids/taxid"
                        },
                        {
                            "source": "#main/taxon_db",
                            "id": "#main/Find_Struct_Protein_Hits_for_Plasmids/taxon_db"
                        },
                        {
                            "default": 21,
                            "id": "#main/Find_Struct_Protein_Hits_for_Plasmids/threshold"
                        },
                        {
                            "default": 10,
                            "id": "#main/Find_Struct_Protein_Hits_for_Plasmids/top_by_score"
                        },
                        {
                            "default": 6,
                            "id": "#main/Find_Struct_Protein_Hits_for_Plasmids/word_size"
                        }
                    ],
                    "out": [
                        "#main/Find_Struct_Protein_Hits_for_Plasmids/blast_align"
                    ],
                    "id": "#main/Find_Struct_Protein_Hits_for_Plasmids"
                },
                {
                    "label": "Map Naming Hits",
                    "run": "#bacterial_hit_mapping.cwl",
                    "in": [
                        {
                            "default": "seq-align-set",
                            "id": "#main/Map_Naming_Hits/align_fmt"
                        },
                        {
                            "source": [
                                "#main/sequence_cache",
                                "#main/unicoll_cache"
                            ],
                            "id": "#main/Map_Naming_Hits/asn_cache"
                        },
                        {
                            "default": 1.1,
                            "id": "#main/Map_Naming_Hits/expansion_ratio"
                        },
                        {
                            "source": [
                                "#main/Find_Naming_Protein_Hits_for_struct/blast_align",
                                "#main/Find_Struct_Protein_Hits_for_Plasmids/blast_align"
                            ],
                            "linkMerge": "merge_flattened",
                            "id": "#main/Map_Naming_Hits/hmm_hits"
                        },
                        {
                            "default": false,
                            "id": "#main/Map_Naming_Hits/no_compart"
                        },
                        {
                            "default": true,
                            "id": "#main/Map_Naming_Hits/nogenbank"
                        },
                        {
                            "default": "mapped-aligns.asn",
                            "id": "#main/Map_Naming_Hits/outfile"
                        },
                        {
                            "source": "#main/proteins",
                            "id": "#main/Map_Naming_Hits/proteins"
                        },
                        {
                            "source": "#main/annotation",
                            "id": "#main/Map_Naming_Hits/sequences"
                        }
                    ],
                    "out": [
                        "#main/Map_Naming_Hits/aligns"
                    ],
                    "id": "#main/Map_Naming_Hits"
                },
                {
                    "label": "Remove off-frame ORFs",
                    "run": "#set_operation.cwl",
                    "in": [
                        {
                            "source": [
                                "#main/prot_ids_A"
                            ],
                            "linkMerge": "merge_flattened",
                            "id": "#main/Remove_off_frame_ORFs/A"
                        },
                        {
                            "source": [
                                "#main/prot_ids_B1",
                                "#main/prot_ids_B2"
                            ],
                            "linkMerge": "merge_flattened",
                            "id": "#main/Remove_off_frame_ORFs/B"
                        },
                        {
                            "default": "-",
                            "id": "#main/Remove_off_frame_ORFs/operation"
                        }
                    ],
                    "out": [
                        "#main/Remove_off_frame_ORFs/output"
                    ],
                    "id": "#main/Remove_off_frame_ORFs"
                },
                {
                    "label": "Separate Plasmid ORFs",
                    "run": "#separate_plasmid_orfs.cwl",
                    "in": [
                        {
                            "source": "#main/annotation",
                            "id": "#main/Separate_Plasmid_ORFs/orf_entries"
                        },
                        {
                            "source": "#main/Remove_off_frame_ORFs/output",
                            "id": "#main/Separate_Plasmid_ORFs/orf_ids"
                        },
                        {
                            "source": "#main/plasmids",
                            "id": "#main/Separate_Plasmid_ORFs/plasmids"
                        },
                        {
                            "source": "#main/raw_seqs",
                            "id": "#main/Separate_Plasmid_ORFs/raw_seqs"
                        }
                    ],
                    "out": [
                        "#main/Separate_Plasmid_ORFs/chomosome_orfs",
                        "#main/Separate_Plasmid_ORFs/plasmid_orfs"
                    ],
                    "id": "#main/Separate_Plasmid_ORFs"
                }
            ],
            "id": "#main"
        },
        {
            "label": "cluster_blastp_wnode",
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "ResourceRequirement",
                    "ramMax": 5000
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(inputs.blastdb_dir)",
                            "writable": false
                        },
                        {
                            "entry": "${ var cs=0; var s=inputs.asn_cache.length-1; var as = cs; if(as >= s) {as = s }; return inputs.asn_cache[as]; }",
                            "writable": false
                        },
                        {
                            "entry": "${ var cs=1; var s=inputs.asn_cache.length-1; var as = cs; if(as >= s) {as = s }; return inputs.asn_cache[as]; }",
                            "writable": false
                        },
                        {
                            "entry": "$(inputs.lds2)",
                            "writable": true
                        },
                        {
                            "entry": "$(inputs.proteins)",
                            "writable": false
                        }
                    ]
                }
            ],
            "baseCommand": "cluster_blastp_wnode",
            "inputs": [
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "-align_filter"
                    },
                    "id": "#cluster_blastp_wnode.cwl/align_filter"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "prefix": "-allow-intersection"
                    },
                    "id": "#cluster_blastp_wnode.cwl/allow_intersection"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "Directory"
                    },
                    "inputBinding": {
                        "prefix": "-asn-cache",
                        "itemSeparator": ","
                    },
                    "id": "#cluster_blastp_wnode.cwl/asn_cache"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-backlog"
                    },
                    "id": "#cluster_blastp_wnode.cwl/backlog"
                },
                {
                    "type": "Directory",
                    "id": "#cluster_blastp_wnode.cwl/blastdb_dir"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "-comp_based_stats"
                    },
                    "id": "#cluster_blastp_wnode.cwl/comp_based_stats"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "prefix": "-compart"
                    },
                    "id": "#cluster_blastp_wnode.cwl/compart"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-dbsize"
                    },
                    "id": "#cluster_blastp_wnode.cwl/dbsize"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-delay"
                    },
                    "id": "#cluster_blastp_wnode.cwl/delay"
                },
                {
                    "type": [
                        "null",
                        "float"
                    ],
                    "inputBinding": {
                        "prefix": "-evalue"
                    },
                    "id": "#cluster_blastp_wnode.cwl/evalue"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-extra-coverage"
                    },
                    "id": "#cluster_blastp_wnode.cwl/extra_coverage"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-input-jobs"
                    },
                    "id": "#cluster_blastp_wnode.cwl/input_jobs"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "-lds2"
                    },
                    "id": "#cluster_blastp_wnode.cwl/lds2"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-max-jobs"
                    },
                    "id": "#cluster_blastp_wnode.cwl/max_jobs"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-max_target_seqs"
                    },
                    "id": "#cluster_blastp_wnode.cwl/max_target_seqs"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "prefix": "-no-merge"
                    },
                    "id": "#cluster_blastp_wnode.cwl/no_merge"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "prefix": "-nogenbank"
                    },
                    "id": "#cluster_blastp_wnode.cwl/nogenbank"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-ofmt"
                    },
                    "id": "#cluster_blastp_wnode.cwl/ofmt"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "output",
                    "inputBinding": {
                        "prefix": "-O"
                    },
                    "id": "#cluster_blastp_wnode.cwl/output_dir"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#cluster_blastp_wnode.cwl/proteins"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-seg"
                    },
                    "id": "#cluster_blastp_wnode.cwl/seg"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-short-protein-threshold"
                    },
                    "id": "#cluster_blastp_wnode.cwl/short_protein_threshold"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-soft_masking"
                    },
                    "id": "#cluster_blastp_wnode.cwl/soft_masking"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-threshold"
                    },
                    "id": "#cluster_blastp_wnode.cwl/threshold"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-top-by-score"
                    },
                    "id": "#cluster_blastp_wnode.cwl/top_by_score"
                },
                {
                    "type": "int",
                    "inputBinding": {
                        "prefix": "-word_size"
                    },
                    "id": "#cluster_blastp_wnode.cwl/word_size"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-workers"
                    },
                    "id": "#cluster_blastp_wnode.cwl/workers"
                },
                {
                    "type": [
                        "null",
                        "float"
                    ],
                    "inputBinding": {
                        "prefix": "-workers-per-cpu"
                    },
                    "id": "#cluster_blastp_wnode.cwl/workers_per_cpu"
                }
            ],
            "outputs": [
                {
                    "type": "Directory",
                    "outputBinding": {
                        "glob": "$(inputs.output_dir)"
                    },
                    "id": "#cluster_blastp_wnode.cwl/outdir"
                }
            ],
            "id": "#cluster_blastp_wnode.cwl"
        },
        {
            "label": "gpx_qdump",
            "class": "CommandLineTool",
            "arguments": [
                "-produce-empty-file"
            ],
            "baseCommand": "gpx_qdump",
            "inputs": [
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-input-path"
                    },
                    "id": "#gpx_qdump.cwl/input_path"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "output.asn",
                    "inputBinding": {
                        "prefix": "-output"
                    },
                    "id": "#gpx_qdump.cwl/output_name"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-unzip"
                    },
                    "id": "#gpx_qdump.cwl/unzip"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output_name)"
                    },
                    "id": "#gpx_qdump.cwl/output"
                }
            ],
            "id": "#gpx_qdump.cwl"
        },
        {
            "label": "gpx_qsubmit",
            "doc": "This workflow is specialized for the case when there is an LDS2 input  LDS2 is a _reference_ object, the kind that CWL does not like we need to provide actual input: proteins which matches the name of ASN.1 object references in LDS2 Another limitation is that it can handle no more than two item arrays in blastdb_dir and asn_cache Workaround used so far: in:\n  proteins:\n    default:\n        class: File\n        path: '/dev/null'\n        basename: 'null'\n        contents: ''\n",
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(inputs.proteins)",
                            "writable": false
                        },
                        {
                            "entry": "$(inputs.blastdb_dir)",
                            "writable": false
                        },
                        {
                            "entry": "${ var cs=0; var s=inputs.asn_cache.length-1; var as = cs; if(as >= s) {as = s }; return inputs.asn_cache[as]; }",
                            "writable": false
                        },
                        {
                            "entry": "${ var cs=1; var s=inputs.asn_cache.length-1; var as = cs; if(as >= s) {as = s }; return inputs.asn_cache[as]; }",
                            "writable": false
                        },
                        {
                            "entryname": "ids.mft",
                            "entry": "${var blob = '# ids.mft created for gpx_qsubmit from input ids Array of Files\\n';for (var i = 0; i < inputs.ids.length; i++) {blob += inputs.ids[i].path  + '\\n';}return blob;}"
                        }
                    ]
                }
            ],
            "baseCommand": "gpx_qsubmit",
            "inputs": [
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-NxM-threshold"
                    },
                    "id": "#gpx_qsubmit.cwl/NxM_threshold"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "subject",
                    "inputBinding": {
                        "prefix": "-affinity"
                    },
                    "id": "#gpx_qsubmit.cwl/affinity"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "Directory"
                        }
                    ],
                    "inputBinding": {
                        "prefix": "-asn-cache",
                        "itemSeparator": ","
                    },
                    "id": "#gpx_qsubmit.cwl/asn_cache"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-batch-size"
                    },
                    "id": "#gpx_qsubmit.cwl/batch_size"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "inputBinding": {
                        "prefix": "-db",
                        "valueFrom": "${ var blob = ''; for (var i = 0; i < inputs.blastdb.length; i++) { blob += inputs.blastdb_dir.path + '/' + inputs.blastdb[i]; if(i != inputs.blastdb.length-1) blob += ','; } return blob; }"
                    },
                    "id": "#gpx_qsubmit.cwl/blastdb"
                },
                {
                    "type": [
                        "null",
                        "Directory"
                    ],
                    "id": "#gpx_qsubmit.cwl/blastdb_dir"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "File"
                        }
                    ],
                    "id": "#gpx_qsubmit.cwl/ids"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "ids.mft",
                    "inputBinding": {
                        "prefix": "-ids-manifest"
                    },
                    "id": "#gpx_qsubmit.cwl/ids_manifest"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "-lds2"
                    },
                    "id": "#gpx_qsubmit.cwl/lds2"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-max-batch-length"
                    },
                    "id": "#gpx_qsubmit.cwl/max_batch_length"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": true,
                    "inputBinding": {
                        "prefix": "-nogenbank"
                    },
                    "id": "#gpx_qsubmit.cwl/nogenbank"
                },
                {
                    "type": "string",
                    "default": "jobs.xml",
                    "inputBinding": {
                        "prefix": "-o"
                    },
                    "id": "#gpx_qsubmit.cwl/output_xml_jobs"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-overlap"
                    },
                    "id": "#gpx_qsubmit.cwl/overlap"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#gpx_qsubmit.cwl/proteins"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "-queries-gc-id-list"
                    },
                    "id": "#gpx_qsubmit.cwl/queries_gc_id_list"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "-subjects-gc-id-list"
                    },
                    "id": "#gpx_qsubmit.cwl/subjects_gc_id_list"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-subseq-size"
                    },
                    "id": "#gpx_qsubmit.cwl/subseq_size"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "-xml-jobs"
                    },
                    "id": "#gpx_qsubmit.cwl/xml_jobs"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output_xml_jobs)"
                    },
                    "id": "#gpx_qsubmit.cwl/jobs"
                }
            ],
            "id": "#gpx_qsubmit.cwl"
        },
        {
            "label": "orf_hits_cache_retrieve",
            "class": "CommandLineTool",
            "baseCommand": "orf_hits_cache_retrieve",
            "arguments": [
                "-nogenbank"
            ],
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(inputs.proteins)",
                            "writable": false
                        },
                        {
                            "entryname": "ids.mft",
                            "entry": "${\n  var blob = '# ids.mft created for orf_hits_cache_retrieve from input \"orfs\" Array of Files' +\n    String.fromCharCode(10) ; \n  for (var i = 0; i < inputs.orfs.length; i++) { \n    blob += inputs.orfs[i].path + String.fromCharCode(10); \n  } \n  return blob; \n}"
                        }
                    ]
                }
            ],
            "inputs": [
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-blast-type"
                    },
                    "id": "#orf_hits_cache_retrieve.cwl/blast_type"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "int"
                        }
                    ],
                    "inputBinding": {
                        "prefix": "-genus-list",
                        "itemSeparator": ","
                    },
                    "id": "#orf_hits_cache_retrieve.cwl/genus_list"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "retrieved_hits.asn",
                    "inputBinding": {
                        "prefix": "-hits-output"
                    },
                    "id": "#orf_hits_cache_retrieve.cwl/hits_output_name"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-lds2"
                    },
                    "id": "#orf_hits_cache_retrieve.cwl/lds2"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "not_found.ids",
                    "inputBinding": {
                        "prefix": "-not-found-output"
                    },
                    "id": "#orf_hits_cache_retrieve.cwl/not_found_output_name"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "id": "#orf_hits_cache_retrieve.cwl/orfs"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "ids.mft",
                    "inputBinding": {
                        "prefix": "-orfs-manifest"
                    },
                    "id": "#orf_hits_cache_retrieve.cwl/orfs_manifest"
                },
                {
                    "type": "File",
                    "id": "#orf_hits_cache_retrieve.cwl/proteins"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "-blast-hits-sqlite-cache"
                    },
                    "id": "#orf_hits_cache_retrieve.cwl/sqlite_cache"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-taxid"
                    },
                    "id": "#orf_hits_cache_retrieve.cwl/taxid"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-taxon-db"
                    },
                    "id": "#orf_hits_cache_retrieve.cwl/taxon_db"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.hits_output_name)"
                    },
                    "id": "#orf_hits_cache_retrieve.cwl/hits_output"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.not_found_output_name)"
                    },
                    "id": "#orf_hits_cache_retrieve.cwl/not_found_output"
                }
            ],
            "id": "#orf_hits_cache_retrieve.cwl"
        },
        {
            "label": "separate_plasmid_orfs",
            "class": "CommandLineTool",
            "baseCommand": "separate_plasmid_orfs",
            "inputs": [
                {
                    "type": "string",
                    "default": "chromosome_orf.ids",
                    "inputBinding": {
                        "prefix": "-chromosome_orfs"
                    },
                    "id": "#separate_plasmid_orfs.cwl/chomosome_orfs_out"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-orf_entries"
                    },
                    "id": "#separate_plasmid_orfs.cwl/orf_entries"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-orf_ids"
                    },
                    "id": "#separate_plasmid_orfs.cwl/orf_ids"
                },
                {
                    "type": "string",
                    "default": "plasmid_orf.ids",
                    "inputBinding": {
                        "prefix": "-plasmid_orfs"
                    },
                    "id": "#separate_plasmid_orfs.cwl/plasmid_orfs_out"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-plasmids"
                    },
                    "id": "#separate_plasmid_orfs.cwl/plasmids"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-raw_seqs"
                    },
                    "id": "#separate_plasmid_orfs.cwl/raw_seqs"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.chomosome_orfs_out)"
                    },
                    "id": "#separate_plasmid_orfs.cwl/chomosome_orfs"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.plasmid_orfs_out)"
                    },
                    "id": "#separate_plasmid_orfs.cwl/plasmid_orfs"
                }
            ],
            "id": "#separate_plasmid_orfs.cwl"
        },
        {
            "label": "set_operation",
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entryname": "A.mft",
                            "entry": "${var blob = '# A.mft created for set_operation from input A Array of Files\\n'; for (var i = 0; i < inputs.A.length; i++) { blob += inputs.A[i].path + '\\n'; } return blob; }"
                        },
                        {
                            "entryname": "B.mft",
                            "entry": "${var blob = '# B.mft created for set_operation from input B Array of Files\\n'; for (var i = 0; i < inputs.B.length; i++) { blob += inputs.B[i].path + '\\n'; } return blob; }"
                        }
                    ]
                }
            ],
            "baseCommand": "set_operation",
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "id": "#set_operation.cwl/A"
                },
                {
                    "type": "string",
                    "default": "A.mft",
                    "inputBinding": {
                        "prefix": "-A-manifest"
                    },
                    "id": "#set_operation.cwl/A_impl"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "id": "#set_operation.cwl/B"
                },
                {
                    "type": "string",
                    "default": "B.mft",
                    "inputBinding": {
                        "prefix": "-B-manifest"
                    },
                    "id": "#set_operation.cwl/B_impl"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "-operation"
                    },
                    "id": "#set_operation.cwl/operation"
                },
                {
                    "type": "string",
                    "default": "result.lst",
                    "inputBinding": {
                        "prefix": "-output"
                    },
                    "id": "#set_operation.cwl/output_impl"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output_impl)"
                    },
                    "id": "#set_operation.cwl/output"
                }
            ],
            "id": "#set_operation.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "file concatenation",
            "baseCommand": "cat",
            "stdout": "cat.out",
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#cat_array_of_files.cwl/files_in"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "id": "#cat_array_of_files.cwl/file_out",
                    "outputBinding": {
                        "glob": "cat.out"
                    }
                }
            ],
            "id": "#cat_array_of_files.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "cwl split wrapper",
            "baseCommand": "split",
            "inputs": [
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "position": 1,
                        "prefix": "-l"
                    },
                    "id": "#split.cwl/chunk_size"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 4
                    },
                    "id": "#split.cwl/input"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "jobs",
                    "inputBinding": {
                        "position": 5,
                        "valueFrom": "$(inputs.mask)"
                    },
                    "id": "#split.cwl/mask"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "position": 2,
                        "prefix": "-n l//",
                        "separate": false
                    },
                    "id": "#split.cwl/nchunks"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": ".xml",
                    "inputBinding": {
                        "position": 3,
                        "separate": false,
                        "prefix": "--additional-suffix="
                    },
                    "id": "#split.cwl/suffix"
                }
            ],
            "outputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputBinding": {
                        "glob": "$(inputs.mask)?*$(inputs.suffix)"
                    },
                    "id": "#split.cwl/jobs"
                }
            ],
            "id": "#split.cwl"
        },
        {
            "label": "blastp_wnode_naming",
            "class": "Workflow",
            "requirements": [
                {
                    "class": "SubworkflowFeatureRequirement"
                },
                {
                    "class": "ScatterFeatureRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "string",
                    "id": "#tt_blastp_wnode_naming.cwl/affinity"
                },
                {
                    "type": "string",
                    "id": "#tt_blastp_wnode_naming.cwl/align_filter"
                },
                {
                    "type": "boolean",
                    "id": "#tt_blastp_wnode_naming.cwl/allow_intersection"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "Directory"
                    },
                    "id": "#tt_blastp_wnode_naming.cwl/asn_cache"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "id": "#tt_blastp_wnode_naming.cwl/batch-size"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#tt_blastp_wnode_naming.cwl/blast_hits_cache"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "id": "#tt_blastp_wnode_naming.cwl/blast_type"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#tt_blastp_wnode_naming.cwl/blastdb"
                },
                {
                    "type": "Directory",
                    "id": "#tt_blastp_wnode_naming.cwl/blastdb_dir"
                },
                {
                    "type": "string",
                    "id": "#tt_blastp_wnode_naming.cwl/comp_based_stats"
                },
                {
                    "type": "boolean",
                    "id": "#tt_blastp_wnode_naming.cwl/compart"
                },
                {
                    "type": "string",
                    "id": "#tt_blastp_wnode_naming.cwl/dbsize"
                },
                {
                    "type": [
                        "null",
                        "float"
                    ],
                    "id": "#tt_blastp_wnode_naming.cwl/evalue"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "id": "#tt_blastp_wnode_naming.cwl/extra_coverage"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "int"
                    },
                    "id": "#tt_blastp_wnode_naming.cwl/genus_list"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "id": "#tt_blastp_wnode_naming.cwl/ids"
                },
                {
                    "type": "File",
                    "id": "#tt_blastp_wnode_naming.cwl/lds2"
                },
                {
                    "type": "int",
                    "id": "#tt_blastp_wnode_naming.cwl/max_batch_length"
                },
                {
                    "type": "int",
                    "id": "#tt_blastp_wnode_naming.cwl/max_jobs"
                },
                {
                    "type": "int",
                    "id": "#tt_blastp_wnode_naming.cwl/max_target_seqs"
                },
                {
                    "type": "boolean",
                    "id": "#tt_blastp_wnode_naming.cwl/no_merge"
                },
                {
                    "type": "boolean",
                    "id": "#tt_blastp_wnode_naming.cwl/nogenbank"
                },
                {
                    "type": "string",
                    "id": "#tt_blastp_wnode_naming.cwl/ofmt"
                },
                {
                    "type": "File",
                    "id": "#tt_blastp_wnode_naming.cwl/proteins"
                },
                {
                    "type": "string",
                    "id": "#tt_blastp_wnode_naming.cwl/scatter_gather_nchunks"
                },
                {
                    "type": "string",
                    "id": "#tt_blastp_wnode_naming.cwl/seg"
                },
                {
                    "type": "string",
                    "id": "#tt_blastp_wnode_naming.cwl/soft_masking"
                },
                {
                    "type": "int",
                    "id": "#tt_blastp_wnode_naming.cwl/taxid"
                },
                {
                    "type": "File",
                    "id": "#tt_blastp_wnode_naming.cwl/taxon_db"
                },
                {
                    "type": "int",
                    "id": "#tt_blastp_wnode_naming.cwl/threshold"
                },
                {
                    "type": "int",
                    "id": "#tt_blastp_wnode_naming.cwl/top_by_score"
                },
                {
                    "type": "int",
                    "id": "#tt_blastp_wnode_naming.cwl/word_size"
                }
            ],
            "outputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": [
                        "#tt_blastp_wnode_naming.cwl/collect_aligns/file_out",
                        "#tt_blastp_wnode_naming.cwl/retrieve_cached_hits/hits_output"
                    ],
                    "id": "#tt_blastp_wnode_naming.cwl/blast_align"
                }
            ],
            "steps": [
                {
                    "run": "#tt_cluster_and_qdump.cwl",
                    "scatter": "#tt_blastp_wnode_naming.cwl/cluster_and_qdump/input_jobs",
                    "in": [
                        {
                            "source": "#tt_blastp_wnode_naming.cwl/align_filter",
                            "id": "#tt_blastp_wnode_naming.cwl/cluster_and_qdump/align_filter"
                        },
                        {
                            "source": "#tt_blastp_wnode_naming.cwl/allow_intersection",
                            "id": "#tt_blastp_wnode_naming.cwl/cluster_and_qdump/allow_intersection"
                        },
                        {
                            "source": "#tt_blastp_wnode_naming.cwl/asn_cache",
                            "id": "#tt_blastp_wnode_naming.cwl/cluster_and_qdump/asn_cache"
                        },
                        {
                            "source": "#tt_blastp_wnode_naming.cwl/blastdb_dir",
                            "id": "#tt_blastp_wnode_naming.cwl/cluster_and_qdump/blastdb_dir"
                        },
                        {
                            "source": "#tt_blastp_wnode_naming.cwl/comp_based_stats",
                            "id": "#tt_blastp_wnode_naming.cwl/cluster_and_qdump/comp_based_stats"
                        },
                        {
                            "source": "#tt_blastp_wnode_naming.cwl/compart",
                            "id": "#tt_blastp_wnode_naming.cwl/cluster_and_qdump/compart"
                        },
                        {
                            "source": "#tt_blastp_wnode_naming.cwl/dbsize",
                            "id": "#tt_blastp_wnode_naming.cwl/cluster_and_qdump/dbsize"
                        },
                        {
                            "source": "#tt_blastp_wnode_naming.cwl/evalue",
                            "id": "#tt_blastp_wnode_naming.cwl/cluster_and_qdump/evalue"
                        },
                        {
                            "source": "#tt_blastp_wnode_naming.cwl/extra_coverage",
                            "id": "#tt_blastp_wnode_naming.cwl/cluster_and_qdump/extra_coverage"
                        },
                        {
                            "source": "#tt_blastp_wnode_naming.cwl/split_jobs/jobs",
                            "id": "#tt_blastp_wnode_naming.cwl/cluster_and_qdump/input_jobs"
                        },
                        {
                            "source": "#tt_blastp_wnode_naming.cwl/lds2",
                            "id": "#tt_blastp_wnode_naming.cwl/cluster_and_qdump/lds2"
                        },
                        {
                            "source": "#tt_blastp_wnode_naming.cwl/max_jobs",
                            "id": "#tt_blastp_wnode_naming.cwl/cluster_and_qdump/max_jobs"
                        },
                        {
                            "source": "#tt_blastp_wnode_naming.cwl/max_target_seqs",
                            "id": "#tt_blastp_wnode_naming.cwl/cluster_and_qdump/max_target_seqs"
                        },
                        {
                            "source": "#tt_blastp_wnode_naming.cwl/no_merge",
                            "id": "#tt_blastp_wnode_naming.cwl/cluster_and_qdump/no_merge"
                        },
                        {
                            "source": "#tt_blastp_wnode_naming.cwl/nogenbank",
                            "id": "#tt_blastp_wnode_naming.cwl/cluster_and_qdump/nogenbank"
                        },
                        {
                            "source": "#tt_blastp_wnode_naming.cwl/ofmt",
                            "id": "#tt_blastp_wnode_naming.cwl/cluster_and_qdump/ofmt"
                        },
                        {
                            "source": "#tt_blastp_wnode_naming.cwl/proteins",
                            "id": "#tt_blastp_wnode_naming.cwl/cluster_and_qdump/proteins"
                        },
                        {
                            "source": "#tt_blastp_wnode_naming.cwl/seg",
                            "id": "#tt_blastp_wnode_naming.cwl/cluster_and_qdump/seg"
                        },
                        {
                            "source": "#tt_blastp_wnode_naming.cwl/soft_masking",
                            "id": "#tt_blastp_wnode_naming.cwl/cluster_and_qdump/soft_masking"
                        },
                        {
                            "source": "#tt_blastp_wnode_naming.cwl/threshold",
                            "id": "#tt_blastp_wnode_naming.cwl/cluster_and_qdump/threshold"
                        },
                        {
                            "source": "#tt_blastp_wnode_naming.cwl/top_by_score",
                            "id": "#tt_blastp_wnode_naming.cwl/cluster_and_qdump/top_by_score"
                        },
                        {
                            "source": "#tt_blastp_wnode_naming.cwl/word_size",
                            "id": "#tt_blastp_wnode_naming.cwl/cluster_and_qdump/word_size"
                        }
                    ],
                    "out": [
                        "#tt_blastp_wnode_naming.cwl/cluster_and_qdump/blast_align"
                    ],
                    "id": "#tt_blastp_wnode_naming.cwl/cluster_and_qdump"
                },
                {
                    "run": "#cat_array_of_files.cwl",
                    "in": [
                        {
                            "source": "#tt_blastp_wnode_naming.cwl/cluster_and_qdump/blast_align",
                            "id": "#tt_blastp_wnode_naming.cwl/collect_aligns/files_in"
                        }
                    ],
                    "out": [
                        "#tt_blastp_wnode_naming.cwl/collect_aligns/file_out"
                    ],
                    "id": "#tt_blastp_wnode_naming.cwl/collect_aligns"
                },
                {
                    "run": "#gpx_qsubmit.cwl",
                    "in": [
                        {
                            "source": "#tt_blastp_wnode_naming.cwl/affinity",
                            "id": "#tt_blastp_wnode_naming.cwl/gpx_qsubmit/affinity"
                        },
                        {
                            "source": "#tt_blastp_wnode_naming.cwl/asn_cache",
                            "id": "#tt_blastp_wnode_naming.cwl/gpx_qsubmit/asn_cache"
                        },
                        {
                            "source": "#tt_blastp_wnode_naming.cwl/batch-size",
                            "id": "#tt_blastp_wnode_naming.cwl/gpx_qsubmit/batch_size"
                        },
                        {
                            "source": "#tt_blastp_wnode_naming.cwl/blastdb",
                            "id": "#tt_blastp_wnode_naming.cwl/gpx_qsubmit/blastdb"
                        },
                        {
                            "source": "#tt_blastp_wnode_naming.cwl/blastdb_dir",
                            "id": "#tt_blastp_wnode_naming.cwl/gpx_qsubmit/blastdb_dir"
                        },
                        {
                            "source": [
                                "#tt_blastp_wnode_naming.cwl/retrieve_cached_hits/not_found_output"
                            ],
                            "linkMerge": "merge_flattened",
                            "id": "#tt_blastp_wnode_naming.cwl/gpx_qsubmit/ids"
                        },
                        {
                            "source": "#tt_blastp_wnode_naming.cwl/lds2",
                            "id": "#tt_blastp_wnode_naming.cwl/gpx_qsubmit/lds2"
                        },
                        {
                            "source": "#tt_blastp_wnode_naming.cwl/max_batch_length",
                            "id": "#tt_blastp_wnode_naming.cwl/gpx_qsubmit/max_batch_length"
                        },
                        {
                            "source": "#tt_blastp_wnode_naming.cwl/nogenbank",
                            "id": "#tt_blastp_wnode_naming.cwl/gpx_qsubmit/nogenbank"
                        },
                        {
                            "source": "#tt_blastp_wnode_naming.cwl/proteins",
                            "id": "#tt_blastp_wnode_naming.cwl/gpx_qsubmit/proteins"
                        }
                    ],
                    "out": [
                        "#tt_blastp_wnode_naming.cwl/gpx_qsubmit/jobs"
                    ],
                    "id": "#tt_blastp_wnode_naming.cwl/gpx_qsubmit"
                },
                {
                    "run": "#orf_hits_cache_retrieve.cwl",
                    "in": [
                        {
                            "source": "#tt_blastp_wnode_naming.cwl/blast_type",
                            "id": "#tt_blastp_wnode_naming.cwl/retrieve_cached_hits/blast_type"
                        },
                        {
                            "source": "#tt_blastp_wnode_naming.cwl/genus_list",
                            "id": "#tt_blastp_wnode_naming.cwl/retrieve_cached_hits/genus_list"
                        },
                        {
                            "source": "#tt_blastp_wnode_naming.cwl/lds2",
                            "id": "#tt_blastp_wnode_naming.cwl/retrieve_cached_hits/lds2"
                        },
                        {
                            "source": "#tt_blastp_wnode_naming.cwl/ids",
                            "id": "#tt_blastp_wnode_naming.cwl/retrieve_cached_hits/orfs"
                        },
                        {
                            "source": "#tt_blastp_wnode_naming.cwl/proteins",
                            "id": "#tt_blastp_wnode_naming.cwl/retrieve_cached_hits/proteins"
                        },
                        {
                            "source": "#tt_blastp_wnode_naming.cwl/blast_hits_cache",
                            "id": "#tt_blastp_wnode_naming.cwl/retrieve_cached_hits/sqlite_cache"
                        },
                        {
                            "source": "#tt_blastp_wnode_naming.cwl/taxid",
                            "id": "#tt_blastp_wnode_naming.cwl/retrieve_cached_hits/taxid"
                        },
                        {
                            "source": "#tt_blastp_wnode_naming.cwl/taxon_db",
                            "id": "#tt_blastp_wnode_naming.cwl/retrieve_cached_hits/taxon_db"
                        }
                    ],
                    "out": [
                        "#tt_blastp_wnode_naming.cwl/retrieve_cached_hits/hits_output",
                        "#tt_blastp_wnode_naming.cwl/retrieve_cached_hits/not_found_output"
                    ],
                    "id": "#tt_blastp_wnode_naming.cwl/retrieve_cached_hits"
                },
                {
                    "run": "#split.cwl",
                    "in": [
                        {
                            "source": "#tt_blastp_wnode_naming.cwl/gpx_qsubmit/jobs",
                            "id": "#tt_blastp_wnode_naming.cwl/split_jobs/input"
                        },
                        {
                            "source": "#tt_blastp_wnode_naming.cwl/scatter_gather_nchunks",
                            "id": "#tt_blastp_wnode_naming.cwl/split_jobs/nchunks"
                        }
                    ],
                    "out": [
                        "#tt_blastp_wnode_naming.cwl/split_jobs/jobs"
                    ],
                    "id": "#tt_blastp_wnode_naming.cwl/split_jobs"
                }
            ],
            "id": "#tt_blastp_wnode_naming.cwl"
        },
        {
            "label": "blastp_wnode_struct",
            "class": "Workflow",
            "requirements": [
                {
                    "class": "SubworkflowFeatureRequirement"
                },
                {
                    "class": "ScatterFeatureRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "string",
                    "id": "#tt_blastp_wnode_struct.cwl/affinity"
                },
                {
                    "type": "string",
                    "id": "#tt_blastp_wnode_struct.cwl/align_filter"
                },
                {
                    "type": "boolean",
                    "id": "#tt_blastp_wnode_struct.cwl/allow_intersection"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "Directory"
                    },
                    "id": "#tt_blastp_wnode_struct.cwl/asn_cache"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "id": "#tt_blastp_wnode_struct.cwl/batch-size"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#tt_blastp_wnode_struct.cwl/blast_hits_cache"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "id": "#tt_blastp_wnode_struct.cwl/blast_type"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#tt_blastp_wnode_struct.cwl/blastdb"
                },
                {
                    "type": "Directory",
                    "id": "#tt_blastp_wnode_struct.cwl/blastdb_dir"
                },
                {
                    "type": "string",
                    "id": "#tt_blastp_wnode_struct.cwl/comp_based_stats"
                },
                {
                    "type": "boolean",
                    "id": "#tt_blastp_wnode_struct.cwl/compart"
                },
                {
                    "type": "string",
                    "id": "#tt_blastp_wnode_struct.cwl/dbsize"
                },
                {
                    "type": [
                        "null",
                        "float"
                    ],
                    "id": "#tt_blastp_wnode_struct.cwl/evalue"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "id": "#tt_blastp_wnode_struct.cwl/extra_coverage"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "int"
                    },
                    "id": "#tt_blastp_wnode_struct.cwl/genus_list"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "id": "#tt_blastp_wnode_struct.cwl/ids"
                },
                {
                    "type": "File",
                    "id": "#tt_blastp_wnode_struct.cwl/lds2"
                },
                {
                    "type": "int",
                    "id": "#tt_blastp_wnode_struct.cwl/max_batch_length"
                },
                {
                    "type": "int",
                    "id": "#tt_blastp_wnode_struct.cwl/max_jobs"
                },
                {
                    "type": "int",
                    "id": "#tt_blastp_wnode_struct.cwl/max_target_seqs"
                },
                {
                    "type": "boolean",
                    "id": "#tt_blastp_wnode_struct.cwl/no_merge"
                },
                {
                    "type": "boolean",
                    "id": "#tt_blastp_wnode_struct.cwl/nogenbank"
                },
                {
                    "type": "string",
                    "id": "#tt_blastp_wnode_struct.cwl/ofmt"
                },
                {
                    "type": "File",
                    "id": "#tt_blastp_wnode_struct.cwl/proteins"
                },
                {
                    "type": "string",
                    "id": "#tt_blastp_wnode_struct.cwl/scatter_gather_nchunks"
                },
                {
                    "type": "string",
                    "id": "#tt_blastp_wnode_struct.cwl/seg"
                },
                {
                    "type": "string",
                    "id": "#tt_blastp_wnode_struct.cwl/soft_masking"
                },
                {
                    "type": "int",
                    "id": "#tt_blastp_wnode_struct.cwl/taxid"
                },
                {
                    "type": "File",
                    "id": "#tt_blastp_wnode_struct.cwl/taxon_db"
                },
                {
                    "type": "int",
                    "id": "#tt_blastp_wnode_struct.cwl/threshold"
                },
                {
                    "type": "int",
                    "id": "#tt_blastp_wnode_struct.cwl/top_by_score"
                },
                {
                    "type": "int",
                    "id": "#tt_blastp_wnode_struct.cwl/word_size"
                }
            ],
            "outputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#tt_blastp_wnode_struct.cwl/cluster_and_qdump/blast_align",
                    "id": "#tt_blastp_wnode_struct.cwl/blast_align"
                }
            ],
            "steps": [
                {
                    "run": "#tt_cluster_and_qdump.cwl",
                    "scatter": "#tt_blastp_wnode_struct.cwl/cluster_and_qdump/input_jobs",
                    "in": [
                        {
                            "source": "#tt_blastp_wnode_struct.cwl/align_filter",
                            "id": "#tt_blastp_wnode_struct.cwl/cluster_and_qdump/align_filter"
                        },
                        {
                            "source": "#tt_blastp_wnode_struct.cwl/allow_intersection",
                            "id": "#tt_blastp_wnode_struct.cwl/cluster_and_qdump/allow_intersection"
                        },
                        {
                            "source": "#tt_blastp_wnode_struct.cwl/asn_cache",
                            "id": "#tt_blastp_wnode_struct.cwl/cluster_and_qdump/asn_cache"
                        },
                        {
                            "source": "#tt_blastp_wnode_struct.cwl/blastdb_dir",
                            "id": "#tt_blastp_wnode_struct.cwl/cluster_and_qdump/blastdb_dir"
                        },
                        {
                            "source": "#tt_blastp_wnode_struct.cwl/comp_based_stats",
                            "id": "#tt_blastp_wnode_struct.cwl/cluster_and_qdump/comp_based_stats"
                        },
                        {
                            "source": "#tt_blastp_wnode_struct.cwl/compart",
                            "id": "#tt_blastp_wnode_struct.cwl/cluster_and_qdump/compart"
                        },
                        {
                            "source": "#tt_blastp_wnode_struct.cwl/dbsize",
                            "id": "#tt_blastp_wnode_struct.cwl/cluster_and_qdump/dbsize"
                        },
                        {
                            "source": "#tt_blastp_wnode_struct.cwl/evalue",
                            "id": "#tt_blastp_wnode_struct.cwl/cluster_and_qdump/evalue"
                        },
                        {
                            "source": "#tt_blastp_wnode_struct.cwl/extra_coverage",
                            "id": "#tt_blastp_wnode_struct.cwl/cluster_and_qdump/extra_coverage"
                        },
                        {
                            "source": "#tt_blastp_wnode_struct.cwl/split_jobs/jobs",
                            "id": "#tt_blastp_wnode_struct.cwl/cluster_and_qdump/input_jobs"
                        },
                        {
                            "source": "#tt_blastp_wnode_struct.cwl/lds2",
                            "id": "#tt_blastp_wnode_struct.cwl/cluster_and_qdump/lds2"
                        },
                        {
                            "source": "#tt_blastp_wnode_struct.cwl/max_jobs",
                            "id": "#tt_blastp_wnode_struct.cwl/cluster_and_qdump/max_jobs"
                        },
                        {
                            "source": "#tt_blastp_wnode_struct.cwl/max_target_seqs",
                            "id": "#tt_blastp_wnode_struct.cwl/cluster_and_qdump/max_target_seqs"
                        },
                        {
                            "source": "#tt_blastp_wnode_struct.cwl/no_merge",
                            "id": "#tt_blastp_wnode_struct.cwl/cluster_and_qdump/no_merge"
                        },
                        {
                            "source": "#tt_blastp_wnode_struct.cwl/nogenbank",
                            "id": "#tt_blastp_wnode_struct.cwl/cluster_and_qdump/nogenbank"
                        },
                        {
                            "source": "#tt_blastp_wnode_struct.cwl/ofmt",
                            "id": "#tt_blastp_wnode_struct.cwl/cluster_and_qdump/ofmt"
                        },
                        {
                            "source": "#tt_blastp_wnode_struct.cwl/proteins",
                            "id": "#tt_blastp_wnode_struct.cwl/cluster_and_qdump/proteins"
                        },
                        {
                            "source": "#tt_blastp_wnode_struct.cwl/seg",
                            "id": "#tt_blastp_wnode_struct.cwl/cluster_and_qdump/seg"
                        },
                        {
                            "default": 30,
                            "id": "#tt_blastp_wnode_struct.cwl/cluster_and_qdump/short_protein_threshold"
                        },
                        {
                            "source": "#tt_blastp_wnode_struct.cwl/soft_masking",
                            "id": "#tt_blastp_wnode_struct.cwl/cluster_and_qdump/soft_masking"
                        },
                        {
                            "source": "#tt_blastp_wnode_struct.cwl/threshold",
                            "id": "#tt_blastp_wnode_struct.cwl/cluster_and_qdump/threshold"
                        },
                        {
                            "source": "#tt_blastp_wnode_struct.cwl/top_by_score",
                            "id": "#tt_blastp_wnode_struct.cwl/cluster_and_qdump/top_by_score"
                        },
                        {
                            "source": "#tt_blastp_wnode_struct.cwl/word_size",
                            "id": "#tt_blastp_wnode_struct.cwl/cluster_and_qdump/word_size"
                        }
                    ],
                    "out": [
                        "#tt_blastp_wnode_struct.cwl/cluster_and_qdump/blast_align"
                    ],
                    "id": "#tt_blastp_wnode_struct.cwl/cluster_and_qdump"
                },
                {
                    "run": "#cat_array_of_files.cwl",
                    "in": [
                        {
                            "source": "#tt_blastp_wnode_struct.cwl/cluster_and_qdump/blast_align",
                            "id": "#tt_blastp_wnode_struct.cwl/collect_aligns/files_in"
                        }
                    ],
                    "out": [
                        "#tt_blastp_wnode_struct.cwl/collect_aligns/file_out"
                    ],
                    "id": "#tt_blastp_wnode_struct.cwl/collect_aligns"
                },
                {
                    "run": "#gpx_qsubmit.cwl",
                    "in": [
                        {
                            "source": "#tt_blastp_wnode_struct.cwl/affinity",
                            "id": "#tt_blastp_wnode_struct.cwl/gpx_qsubmit/affinity"
                        },
                        {
                            "source": "#tt_blastp_wnode_struct.cwl/asn_cache",
                            "id": "#tt_blastp_wnode_struct.cwl/gpx_qsubmit/asn_cache"
                        },
                        {
                            "source": "#tt_blastp_wnode_struct.cwl/batch-size",
                            "id": "#tt_blastp_wnode_struct.cwl/gpx_qsubmit/batch_size"
                        },
                        {
                            "source": "#tt_blastp_wnode_struct.cwl/blastdb",
                            "id": "#tt_blastp_wnode_struct.cwl/gpx_qsubmit/blastdb"
                        },
                        {
                            "source": "#tt_blastp_wnode_struct.cwl/blastdb_dir",
                            "id": "#tt_blastp_wnode_struct.cwl/gpx_qsubmit/blastdb_dir"
                        },
                        {
                            "source": [
                                "#tt_blastp_wnode_struct.cwl/ids"
                            ],
                            "linkMerge": "merge_flattened",
                            "id": "#tt_blastp_wnode_struct.cwl/gpx_qsubmit/ids"
                        },
                        {
                            "source": "#tt_blastp_wnode_struct.cwl/lds2",
                            "id": "#tt_blastp_wnode_struct.cwl/gpx_qsubmit/lds2"
                        },
                        {
                            "source": "#tt_blastp_wnode_struct.cwl/max_batch_length",
                            "id": "#tt_blastp_wnode_struct.cwl/gpx_qsubmit/max_batch_length"
                        },
                        {
                            "source": "#tt_blastp_wnode_struct.cwl/nogenbank",
                            "id": "#tt_blastp_wnode_struct.cwl/gpx_qsubmit/nogenbank"
                        },
                        {
                            "source": "#tt_blastp_wnode_struct.cwl/proteins",
                            "id": "#tt_blastp_wnode_struct.cwl/gpx_qsubmit/proteins"
                        }
                    ],
                    "out": [
                        "#tt_blastp_wnode_struct.cwl/gpx_qsubmit/jobs"
                    ],
                    "id": "#tt_blastp_wnode_struct.cwl/gpx_qsubmit"
                },
                {
                    "run": "#split.cwl",
                    "in": [
                        {
                            "source": "#tt_blastp_wnode_struct.cwl/gpx_qsubmit/jobs",
                            "id": "#tt_blastp_wnode_struct.cwl/split_jobs/input"
                        },
                        {
                            "source": "#tt_blastp_wnode_struct.cwl/scatter_gather_nchunks",
                            "id": "#tt_blastp_wnode_struct.cwl/split_jobs/nchunks"
                        }
                    ],
                    "out": [
                        "#tt_blastp_wnode_struct.cwl/split_jobs/jobs"
                    ],
                    "id": "#tt_blastp_wnode_struct.cwl/split_jobs"
                }
            ],
            "id": "#tt_blastp_wnode_struct.cwl"
        },
        {
            "class": "Workflow",
            "label": "cluster_blastp_wnode and gpx_qdump combined",
            "requirements": [
                {
                    "class": "SubworkflowFeatureRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "string",
                    "id": "#tt_cluster_and_qdump.cwl/align_filter"
                },
                {
                    "type": "boolean",
                    "id": "#tt_cluster_and_qdump.cwl/allow_intersection"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "Directory"
                    },
                    "id": "#tt_cluster_and_qdump.cwl/asn_cache"
                },
                {
                    "type": "Directory",
                    "id": "#tt_cluster_and_qdump.cwl/blastdb_dir"
                },
                {
                    "type": "string",
                    "id": "#tt_cluster_and_qdump.cwl/comp_based_stats"
                },
                {
                    "type": "boolean",
                    "id": "#tt_cluster_and_qdump.cwl/compart"
                },
                {
                    "type": "string",
                    "id": "#tt_cluster_and_qdump.cwl/dbsize"
                },
                {
                    "type": [
                        "null",
                        "float"
                    ],
                    "id": "#tt_cluster_and_qdump.cwl/evalue"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "id": "#tt_cluster_and_qdump.cwl/extra_coverage"
                },
                {
                    "type": "File",
                    "id": "#tt_cluster_and_qdump.cwl/input_jobs"
                },
                {
                    "type": "File",
                    "id": "#tt_cluster_and_qdump.cwl/lds2"
                },
                {
                    "type": "int",
                    "id": "#tt_cluster_and_qdump.cwl/max_jobs"
                },
                {
                    "type": "int",
                    "id": "#tt_cluster_and_qdump.cwl/max_target_seqs"
                },
                {
                    "type": "boolean",
                    "id": "#tt_cluster_and_qdump.cwl/no_merge"
                },
                {
                    "type": "boolean",
                    "id": "#tt_cluster_and_qdump.cwl/nogenbank"
                },
                {
                    "type": "string",
                    "id": "#tt_cluster_and_qdump.cwl/ofmt"
                },
                {
                    "type": "File",
                    "id": "#tt_cluster_and_qdump.cwl/proteins"
                },
                {
                    "type": "string",
                    "id": "#tt_cluster_and_qdump.cwl/seg"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "id": "#tt_cluster_and_qdump.cwl/short_protein_threshold"
                },
                {
                    "type": "string",
                    "id": "#tt_cluster_and_qdump.cwl/soft_masking"
                },
                {
                    "type": "int",
                    "id": "#tt_cluster_and_qdump.cwl/threshold"
                },
                {
                    "type": "int",
                    "id": "#tt_cluster_and_qdump.cwl/top_by_score"
                },
                {
                    "type": "int",
                    "id": "#tt_cluster_and_qdump.cwl/word_size"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#tt_cluster_and_qdump.cwl/gpx_qdump/output",
                    "id": "#tt_cluster_and_qdump.cwl/blast_align"
                }
            ],
            "steps": [
                {
                    "run": "#cluster_blastp_wnode.cwl",
                    "in": [
                        {
                            "source": "#tt_cluster_and_qdump.cwl/align_filter",
                            "id": "#tt_cluster_and_qdump.cwl/cluster_blastp_wnode/align_filter"
                        },
                        {
                            "source": "#tt_cluster_and_qdump.cwl/allow_intersection",
                            "id": "#tt_cluster_and_qdump.cwl/cluster_blastp_wnode/allow_intersection"
                        },
                        {
                            "source": "#tt_cluster_and_qdump.cwl/asn_cache",
                            "id": "#tt_cluster_and_qdump.cwl/cluster_blastp_wnode/asn_cache"
                        },
                        {
                            "source": "#tt_cluster_and_qdump.cwl/blastdb_dir",
                            "id": "#tt_cluster_and_qdump.cwl/cluster_blastp_wnode/blastdb_dir"
                        },
                        {
                            "source": "#tt_cluster_and_qdump.cwl/comp_based_stats",
                            "id": "#tt_cluster_and_qdump.cwl/cluster_blastp_wnode/comp_based_stats"
                        },
                        {
                            "source": "#tt_cluster_and_qdump.cwl/compart",
                            "id": "#tt_cluster_and_qdump.cwl/cluster_blastp_wnode/compart"
                        },
                        {
                            "source": "#tt_cluster_and_qdump.cwl/dbsize",
                            "id": "#tt_cluster_and_qdump.cwl/cluster_blastp_wnode/dbsize"
                        },
                        {
                            "source": "#tt_cluster_and_qdump.cwl/evalue",
                            "id": "#tt_cluster_and_qdump.cwl/cluster_blastp_wnode/evalue"
                        },
                        {
                            "source": "#tt_cluster_and_qdump.cwl/extra_coverage",
                            "id": "#tt_cluster_and_qdump.cwl/cluster_blastp_wnode/extra_coverage"
                        },
                        {
                            "source": "#tt_cluster_and_qdump.cwl/input_jobs",
                            "id": "#tt_cluster_and_qdump.cwl/cluster_blastp_wnode/input_jobs"
                        },
                        {
                            "source": "#tt_cluster_and_qdump.cwl/lds2",
                            "id": "#tt_cluster_and_qdump.cwl/cluster_blastp_wnode/lds2"
                        },
                        {
                            "source": "#tt_cluster_and_qdump.cwl/max_jobs",
                            "id": "#tt_cluster_and_qdump.cwl/cluster_blastp_wnode/max_jobs"
                        },
                        {
                            "source": "#tt_cluster_and_qdump.cwl/max_target_seqs",
                            "id": "#tt_cluster_and_qdump.cwl/cluster_blastp_wnode/max_target_seqs"
                        },
                        {
                            "source": "#tt_cluster_and_qdump.cwl/no_merge",
                            "id": "#tt_cluster_and_qdump.cwl/cluster_blastp_wnode/no_merge"
                        },
                        {
                            "source": "#tt_cluster_and_qdump.cwl/nogenbank",
                            "id": "#tt_cluster_and_qdump.cwl/cluster_blastp_wnode/nogenbank"
                        },
                        {
                            "source": "#tt_cluster_and_qdump.cwl/ofmt",
                            "id": "#tt_cluster_and_qdump.cwl/cluster_blastp_wnode/ofmt"
                        },
                        {
                            "source": "#tt_cluster_and_qdump.cwl/proteins",
                            "id": "#tt_cluster_and_qdump.cwl/cluster_blastp_wnode/proteins"
                        },
                        {
                            "source": "#tt_cluster_and_qdump.cwl/seg",
                            "id": "#tt_cluster_and_qdump.cwl/cluster_blastp_wnode/seg"
                        },
                        {
                            "source": "#tt_cluster_and_qdump.cwl/short_protein_threshold",
                            "id": "#tt_cluster_and_qdump.cwl/cluster_blastp_wnode/short_protein_threshold"
                        },
                        {
                            "source": "#tt_cluster_and_qdump.cwl/soft_masking",
                            "id": "#tt_cluster_and_qdump.cwl/cluster_blastp_wnode/soft_masking"
                        },
                        {
                            "source": "#tt_cluster_and_qdump.cwl/threshold",
                            "id": "#tt_cluster_and_qdump.cwl/cluster_blastp_wnode/threshold"
                        },
                        {
                            "source": "#tt_cluster_and_qdump.cwl/top_by_score",
                            "id": "#tt_cluster_and_qdump.cwl/cluster_blastp_wnode/top_by_score"
                        },
                        {
                            "source": "#tt_cluster_and_qdump.cwl/word_size",
                            "id": "#tt_cluster_and_qdump.cwl/cluster_blastp_wnode/word_size"
                        },
                        {
                            "default": 1.0,
                            "id": "#tt_cluster_and_qdump.cwl/cluster_blastp_wnode/workers_per_cpu"
                        }
                    ],
                    "out": [
                        "#tt_cluster_and_qdump.cwl/cluster_blastp_wnode/outdir"
                    ],
                    "id": "#tt_cluster_and_qdump.cwl/cluster_blastp_wnode"
                },
                {
                    "run": "#gpx_qdump.cwl",
                    "in": [
                        {
                            "source": "#tt_cluster_and_qdump.cwl/cluster_blastp_wnode/outdir",
                            "id": "#tt_cluster_and_qdump.cwl/gpx_qdump/input_path"
                        },
                        {
                            "default": "*",
                            "id": "#tt_cluster_and_qdump.cwl/gpx_qdump/unzip"
                        }
                    ],
                    "out": [
                        "#tt_cluster_and_qdump.cwl/gpx_qdump/output"
                    ],
                    "id": "#tt_cluster_and_qdump.cwl/gpx_qdump"
                }
            ],
            "id": "#tt_cluster_and_qdump.cwl"
        }
    ],
    "cwlVersion": "v1.2"
}
